计算管理/主机相关接口/PCI设备相关接口
PUTPCI Device Related APIs起始版本 3.5.0同步需要认证
更新PCI设备切分出的MDEV设备
更新PCI设备切分出的MDEV设备
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
路径参数
请求参数
路径参数
uuidString必填资源的UUID,唯一标示该资源
请求体字段
nameString资源名称。
descriptionString资源的详细描述。
stateString当前状态。
systemTagsList系统标签
userTagsList用户标签
响应状态
请求地址
PUT/zstack/v1/mdev-devices/{uuid}/actions
/zstack/v1/mdev-devices/{uuid}/actions
请求示例
curl -X PUT 'http://{host}/zstack/v1/mdev-devices/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"name":"<name>","description":"<description>","state":"<state>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
响应示例
200{ "inventory": { "uuid": "90bb72d3dba94fbc99310c9804f9dee7", "name": "GRID M60-2A", "parentUuid": "343e4227833b4774b09d2c0dd24bf8c7", "hostUuid": "fa552bef7681478d84806671d28e70f7", "mdevSpecUuid": "542b87b26baf403cb2745164ce10e550", "type": "GPU_Video_Controller", "state": "Enabled", "status": "Active", "chooser": "None", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }变更历史
此 API 暂无变更历史记录。
